aboutsummaryrefslogtreecommitdiffstats
path: root/community/lldpd/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/lldpd/APKBUILD')
-rw-r--r--community/lldpd/APKBUILD83
1 files changed, 83 insertions, 0 deletions
diff --git a/community/lldpd/APKBUILD b/community/lldpd/APKBUILD
new file mode 100644
index 0000000000..37c15133b2
--- /dev/null
+++ b/community/lldpd/APKBUILD
@@ -0,0 +1,83 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=lldpd
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="Implementation of IEEE 802.1ab"
+url="http://vincentbernat.github.com/lldpd/"
+arch="all"
+license="ISC"
+makedepends="autoconf automake libtool linux-headers bsd-compat-headers
+ libevent-dev libxml2-dev net-snmp-dev libbsd-dev jansson-dev
+ doxygen perl-dev readline-dev"
+install="$pkgname.post-install"
+subpackages="$pkgname-dev $pkgname-doc
+ $pkgname-bash-completion:bashcomp:noarch
+ $pkgname-zsh-completion:zshcomp:noarch"
+pkgusers="lldpd"
+pkggroups="lldpd"
+source="$pkgname-$pkgver.tar.gz::https://github.com/vincentbernat/lldpd/archive/$pkgver.tar.gz
+ fix-ppc64le-pathmax.patch
+ $pkgname.confd
+ $pkgname.initd"
+
+prepare() {
+ # this should be shipped with the release tarball
+ echo $pkgver > .dist-version
+ ./autogen.sh
+ default_prepare
+}
+
+build() {
+ ./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --enable-static=no \
+ --enable-pie \
+ --enable-hardening \
+ --without-embedded-libevent \
+ --with-snmp \
+ --with-xml \
+ --with-privsep-user=$pkgusers \
+ --with-privsep-group=$pkggroups \
+ --with-privsep-chroot=/run/$pkgname \
+ --with-lldpd-ctl-socket=/run/$pkgname/$pkgname.socket \
+ --with-lldpd-pid-file=/run/$pkgname/$pkgname.pid
+ make
+}
+
+check() {
+ make check
+}
+
+package() {
+ install -Dm644 /dev/null "$pkgdir/etc/lldpd.conf"
+ install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir/etc/conf.d/$pkgname"
+ install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir/etc/init.d/$pkgname"
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ make DESTDIR="$pkgdir" install
+}
+
+bashcomp() {
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+ mkdir -p "$subpkgdir"/usr/share/
+ mv "$pkgdir"/usr/share/bash-completion \
+ "$subpkgdir"/usr/share
+ rmdir -p "$pkgdir"/usr/share 2>/dev/null || true
+}
+
+zshcomp() {
+ pkgdesc="Zsh completion for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel zsh"
+
+ install -Dm644 "$builddir"/src/client/completion/_lldpcli \
+ "$subpkgdir"/usr/share/zsh/site-functions/_lldpcli
+}
+
+sha512sums="2081a279c00924e698c98c5189526069d0d8d601ff4058a51cfbbd843cf656cfcf4729c152f9d7796aebed3f16f06030ab35da23378b5bf48da74105fad50f0a lldpd-1.0.5.tar.gz
+a3a3972ce4cfa98d0de9d958adf18eebb19a442023b321477b3bb8ff3f8297a8708d5c8d70dae06165aac9369d09492d57ffa62e1527968d0c778a7f6fd9678b fix-ppc64le-pathmax.patch
+a2a4c85068a6b8b80c92fe56af7799a8b8cb2516e5a65b3ae4cb28f278e5acc72402da2a35f0c48a6048fd4a8536061142cafaa49a4bae8e52ca0a5d9ed38b4c lldpd.confd
+8d88e2a21efee6389d4de4f1ce2fcc9da8bd8ab3cb5a2bf2d322bde577e255662d027688065282146b389b3b8076fb883897e600fd931bcdc30d757fc7191e34 lldpd.initd"